Рабочая версия

master
Artem Proskurnev 2 years ago
parent 22f7f75d8d
commit d7dffd7a5f
  1. 20
      bin/archdep-filter
  2. 5
      bin/tar2fs
  3. 17004
      bld/build.log
  4. 80
      bld/distcfg.mk
  5. 2
      bld/files/.disk/commit
  6. 2
      bld/files/.disk/date
  7. 2
      bld/files/.disk/info
  8. BIN
      bld/files/.disk/profile.tgz
  9. 0
      bld/files/.empty
  10. BIN
      bld/files/Metadata/pkg-groups.tar
  11. 0
      bld/image-scripts.d/.empty
  12. 2
      bld/image-scripts.d/01-rootdir
  13. 0
      bld/lib/.empty
  14. 0
      bld/live/files/.empty
  15. 2
      bld/live/image-scripts.d/01-rootdir
  16. 2
      bld/live/image-scripts.d/50-net-nm
  17. 18
      bld/live/image-scripts.d/50-serial
  18. 34
      bld/live/image-scripts.d/60-apt
  19. 0
      bld/live/lib/.empty
  20. 3
      bld/live/scripts.d/01-clean-.empty-stage2
  21. 208
      bld/pkg/lists/.base
  22. 3
      bld/pkg/lists/grub
  23. 29
      bld/pkg/lists/tagged/base+kometa
  24. 3
      bld/pkg/lists/tagged/base+regular
  25. 10
      bld/pkg/lists/tagged/desktop+xorg
  26. 2
      bld/rootfs/image-scripts.d/50-net-nm
  27. 18
      bld/rootfs/image-scripts.d/50-serial
  28. 0
      bld/scripts.d/.empty
  29. 2
      bld/scripts.d/00-cleanup
  30. 0
      bld/stage1/files/.empty
  31. 8
      bld/stage1/files/boot/grub/.in/00defaults.cfg
  32. 44
      bld/stage1/files/boot/grub/.in/01gfxterm.cfg
  33. 2
      bld/stage1/files/boot/grub/.in/30live.cfg
  34. 2
      bld/stage1/files/boot/grub/.in/32live_rw.cfg
  35. 8
      bld/stage1/files/index.html
  36. 2
      bld/stage1/files/syslinux/.in/30live.cfg
  37. 2
      bld/stage1/files/syslinux/.in/32live_rw.cfg
  38. 0
      bld/stage1/modules.d/.empty
  39. 4
      bld/stage1/modules.d/50-stage2-usb
  40. 10
      bld/stage1/modules.d/50-vmguest
  41. 3
      bld/stage1/scripts.d/01-clean-.empty-stage1
  42. 4
      bld/stage1/scripts.d/01-grub
  43. 11
      bld/stage1/scripts.d/01-syslinux
  44. 2
      conf.d/alt-server.mk
  45. 3
      conf.d/basealt.mk
  46. 4
      conf.d/desktop.mk
  47. 49
      conf.d/education.mk
  48. 13
      conf.d/live.mk
  49. 7
      conf.d/mixin-alt-server.mk
  50. 4
      conf.d/mixin-basealt.mk
  51. 8
      conf.d/mixin.mk
  52. 39
      conf.d/regular-vm.mk
  53. 31
      conf.d/regular.mk
  54. 2
      conf.d/server-v.mk
  55. 24
      conf.d/slinux.mk
  56. 6
      doc/archdep.txt
  57. 6
      doc/params.txt
  58. 2
      features.in/Makefile
  59. 2
      features.in/apt-conf/config.mk
  60. 1
      features.in/arm-rpi4/config.mk
  61. 46
      features.in/arm-rpi4/image-scripts.d/98-bootstrap-boot-by-firmware
  62. 6
      features.in/browser/config.mk
  63. 2
      features.in/build-distro/scripts.d/00-cleanup
  64. 14
      features.in/build-vm/image-scripts.d/20-grub-terminal
  65. 1
      features.in/cleanup/config.mk
  66. 11
      features.in/dev/config.mk
  67. 107
      features.in/dev/live/image-scripts.d/51-hasher
  68. 8
      features.in/e2k/scripts.d/20-e2k-boot
  69. 3
      features.in/firmware/config.mk
  70. 13
      features.in/gitlab-runner/README
  71. 13
      features.in/gitlab-runner/config.mk
  72. 61
      features.in/gitlab-runner/rootfs/image-scripts.d/60-gitlab-install
  73. 11
      features.in/grub/README
  74. 9
      features.in/grub/cfg.in/00defaults.cfg
  75. 44
      features.in/grub/cfg.in/01gfxterm.cfg
  76. 4
      features.in/grub/stage1/scripts.d/01-grub
  77. 2
      features.in/homeros/live/image-scripts.d/20-altlinux-user
  78. 3
      features.in/init/config.mk
  79. 2
      features.in/initrd-bootchain/config.mk
  80. 7
      features.in/install2/config.mk
  81. 6
      features.in/kernel/config.mk
  82. 3
      features.in/live/config.mk
  83. 2
      features.in/live/generate.mk
  84. 34
      features.in/live/live/image-scripts.d/60-apt
  85. 3
      features.in/net-eth/config.mk
  86. 19
      features.in/net-eth/rootfs/image-scripts.d/50-net-eth
  87. 2
      features.in/net/rootfs/image-scripts.d/50-net-nm
  88. 21
      features.in/oem/config.mk
  89. 8
      features.in/repo/README
  90. 6
      features.in/repo/config.mk
  91. 37
      features.in/repo/image-scripts.d/90-enable-repo
  92. 17
      features.in/repo/install2/image-scripts.d/90-repo-mirror
  93. 2
      features.in/repo/rootfs/image-scripts.d/01-genbasedir-rootfs
  94. 2
      features.in/repo/rootfs/image-scripts.d/80-repo-rootfs-main
  95. 2
      features.in/server/config.mk
  96. 26
      features.in/slinux/config.mk
  97. 4
      features.in/stage2/stage1/modules.d/50-stage2-usb
  98. 11
      features.in/syslinux/stage1/scripts.d/01-syslinux
  99. 2
      features.in/tty/config.mk
  100. 5
      features.in/uboot/config.mk
  101. Some files were not shown because too many files have changed in this diff Show More

@ -2,7 +2,7 @@
# filter stdin or file for words related to
# the specified target architecture
#
# args: -a arch [-i file]
# args: [-a arch] [-i file]
if [ "$1" = "-a" -a -n "$2" ]; then
a="$2"
@ -34,16 +34,22 @@ esac
# NB: pipe runs in parallel => faster than -e -e
cat ${f:+"$f"} |
sed -rn "s/\<([^@ ]*)\>|\<([^@ ]*)@$A\>/\1\2/pg" |
sed -rn "s/\<([^@ ]*)\>|\<[^@ ]*@\!$A\> */\1/pg" |
sed -r ':loop; s/^((([^@]+@!)[^,]+)+),([a-zA-Z0-9_]+)/\1@!\4/; t loop' |
sed -r ':loop; s/^((([^@]+@)[^,]+)+),([a-zA-Z0-9_]+)/\1\n\3\4/; t loop' |
sed -rn "s/\<([^@ ]*)\>|\<([^@ ]*)@$A\>[^ ]*\>/\1\2/pg" |
sed -rn "s/\<([^@ ]*)\>|\<[^ ]*@\!$A\>[^ ]*\> */\1/pg" |
sed -r "s/\<([^@ ]*)@IA32\>/\1@i586 i586-\1@x86_64/g" |
sed -rn "s/\<([^@ ]*)\>|\<([^@ ]*)@$a\>/\1\2/pg" |
sed -rn "s/\<([^@ ]*)\>|\<[^@ ]*@\!$a\> */\1/pg" |
sed -r "s/\<([^@ ]*)@\![^@ ]+\>/\1/g" |
sed -rn "s/\<([^@ ]*)\>|\<([^@ ]*)@$a\>[^ ]*\>/\1\2/pg" |
sed -rn "s/\<([^@ ]*)\>|\<[^ ]*@\!$a\>[^ ]*\> */\1/pg" |
sed -r "s/\<([^@ ]*)@\![^ ]+\>/\1/g" |
sed -r "s/\<([^@ ]*)@[^@ ]+\> *//g" |
sed -r "s/^ +//;s/ +$//" |
sed -r "s/^ +//;s/ +$//;/^$/d" |
if [ -n "$f" ]; then
cat > "$t" && mv "$t" "$f"
else
cat
fi
# stick this for debugging sed pipeline and run the script
# with >/dev/null to see what flows in a particular place:
# tee /dev/stderr |

@ -62,6 +62,11 @@ arm*|aarch64)
BLOCKDEV="/dev/sda"
CUR_BOUNDARY=15 # offset 16 MiB for singleboard's
;;
riscv64)
ROOTPART="1"
BLOCKDEV="/dev/sda"
CUR_BOUNDARY=33 # offset 34 MiB for singleboard's
;;
*)
ROOTPART="1"
BLOCKDEV="/dev/sda"

File diff suppressed because it is too large Load Diff

@ -8,7 +8,7 @@ PIN_PRIORITY = Important
MKIMAGE_PREFIX ?= /usr/share/mkimage
IMAGEDIR ?= /home/tema/out
LOGDIR ?= /home/tema/out
BRANDING = kometa-school
BRANDING ?= kometa-school
PINNED_PACKAGES += branding-$(BRANDING)-alterator:Essential
PINNED_PACKAGES += branding-$(BRANDING)-bootsplash:Essential
PINNED_PACKAGES += branding-$(BRANDING)-bootloader:Essential
@ -17,26 +17,26 @@ PINNED_PACKAGES += branding-$(BRANDING)-indexhtml:Essential
PINNED_PACKAGES += branding-$(BRANDING)-notes:Essential
PINNED_PACKAGES += branding-$(BRANDING)-release:Essential
PINNED_PACKAGES += branding-$(BRANDING)-slideshow:Essential
WORK_INIT_LIST = +branding-$(BRANDING)-release
IMAGE_INIT_LIST = +branding-$(BRANDING)-release
PACKAGES_REQUIRED_INITROOT = basesystem branding-$(BRANDING)-release
export GLOBAL_ARCH = $(ARCH)
# distro/.init
META_PREPARER ?= mkimage-profiles
META_APP_ID = kometa-school-p10
META_PUBLISHER = Proskurnev Artem
META_APP_ID ?= alt-p10-kde5
META_PUBLISHER ?= Artem Proskurnev
# boot/iso
BOOTLOADER ?= isolinux
IMAGE_PACKTYPE ?= boot
# distro/.boot
META_VOL_ID = KOMETA kometa-school-p10/x86_64
META_VOL_SET = ALT
GLOBAL_BOOT_LANG = ru_RU
IMAGE_FLAVOUR ?= kde5
META_VOL_ID ?= KOMETA p10 $(IMAGE_FLAVOUR)/x86_64
META_VOL_try ?= KOMETA
GLOBAL_BOOT_LANG ?= ru_RU
# use/kernel
FEATURES += kernel
KFLAVOURS ?= std-def
export GLOBAL_KFLAVOURS = $(KFLAVOURS)
# distro/.base
META_SYSTEM_ID = LINUX
META_SYSTEM_ID ?= LINUX
# use/kernel/net
THE_KMODULES += e1000e
THE_KMODULES += r8125
@ -57,20 +57,19 @@ STAGE1_PACKAGES += make-initrd file iproute2
STAGE1_MODLISTS += $(FEATURES)
export GLOBAL_STAGE1_PACKAGES = $(STAGE1_PACKAGES)
export GLOBAL_STAGE1_KCONFIG = $(STAGE1_KCONFIG)
HSH_PROC = 1
GLOBAL_HSH_PROC = 1
# use/uuid-iso
FEATURES += uuid-iso
#MKI_VER_OPTIMAL = 0.2.41 # overridden by use/efi
UUID_ISO_SHRT = 2021120815104900
UUID_ISO = 2021-12-08-15-10-49-00
UUID_ISO_SHRT = 2022020819504500
UUID_ISO = 2022-02-08-19-50-45-00
export GLOBAL_UUID_ISO = $(UUID_ISO)
# use/initrd-propagator
FEATURES += initrd-propagator
STAGE1_PACKAGES += make-initrd-propagator propagator
STAGE1_INITRD = initrd-propagator
STAGE1_INITRD_TYPEARGS = changedisk automatic
STAGE1_INITRD_BOOTMETHOD = method:cdrom,fuid:2021-12-08-15-10-49-00
STAGE1_INITRD_BOOTMETHOD = method:cdrom,fuid:2022-02-08-19-50-45-00
STAGE1_INITRD_STAGE2_OPTION = stagename
# use/stage2/fs
STAGE1_MODLISTS += stage2-fs
@ -94,6 +93,13 @@ STAGE1_MODLISTS += stage2-rtc
STAGE1_MODLISTS += stage2-scsi
# use/stage2/usb
STAGE1_MODLISTS += stage2-usb
# use/tty
FEATURES += tty
export GLOBAL_TTY_DEV = $(TTY_DEV)
export GLOBAL_TTY_RATE = $(TTY_RATE)
export GLOBAL_BASE_BOOTARGS = $(BASE_BOOTARGS)
INSTALL2_PACKAGES += installer-feature-serial-stage2
THE_PACKAGES += installer-feature-serial-stage3
# distro/.regular-bare
SAVE_PROFILE ?= yes
# use/vmguest
@ -109,7 +115,7 @@ export GLOBAL_SYSLINUX_DEFAULT = $(SYSLINUX_DEFAULT)
# use/grub
FEATURES += grub
BOOTVGA ?= normal
RELNAME = KOMETA (kometa-school-p10)
RELNAME = ALT (alt-p10-kde5)
export GLOBAL_GRUB_DEFAULT = $(GRUB_DEFAULT)
# use/memtest
FEATURES += memtest
@ -180,7 +186,7 @@ DEFAULT_SERVICES_DISABLE += lvm2-lvmetad
DEFAULT_SERVICES_DISABLE += lvm2-lvmpolld
DEFAULT_SERVICES_DISABLE += lvm2-monitor
# mixin/regular-x11
THE_LISTS += tagged/desktop+regular tagged/base+regular
THE_LISTS += tagged/base+regular tagged/desktop+regular
THE_PACKAGES += disable-usb-autosuspend
THE_PACKAGES += btrfs-progs
THE_PACKAGES += gpm
@ -294,19 +300,15 @@ STAGE1_BRANDING += bootloader
STAGE1_PACKAGES += grub-common
# distro/.regular-x11
THE_BRANDING += bootloader
THE_LISTS += tagged/base+regular+extra tagged/desktop+regular tagged/base+regular
THE_LISTS += tagged/base+regular tagged/desktop+regular tagged/base+regular+extra
LIVE_LISTS += tagged/base+rescue
LIVE_PACKAGES += gpm
DEFAULT_SERVICES_DISABLE += gpm powertop
# distro/.kometa
THE_LISTS += tagged/base+kde5
THE_LISTS += tagged/base+kometa
# use/sound/alsa
#THE_SOUND = sound/alsa # overridden by use/sound/pulse
# use/power
FEATURES += power
# use/power/acpi
COMMON_PACKAGES += acpid acpi
DEFAULT_SERVICES_ENABLE += acpid
# use/power/acpi/button
COMMON_PACKAGES += acpid-events-power
# use/net/nm/native
NM_Native = yes
# use/drm
@ -316,6 +318,8 @@ THE_KMODULES += $(DRM_KMODULES)
# use/x11/intel
THE_PACKAGES += xorg-drv-intel
THE_PACKAGES += xorg-dri-intel
# use/x11/xorg
THE_LISTS += tagged/desktop+xorg
# use/drm/nouveau
NVIDIA_KMODULES ?= drm-nouveau
DRM_KMODULES += $(NVIDIA_KMODULES)
@ -325,12 +329,9 @@ THE_PACKAGES += $(NVIDIA_PACKAGES)
# use/drm/radeon
DRM_KMODULES += drm-radeon
# use/x11/radeon
RADEON_PACKAGES ?= xorg-drv-ati xorg-drv-radeon
THE_PACKAGES += $(RADEON_PACKAGES)
THE_PACKAGES += xorg-drv-ati xorg-drv-radeon
# use/drm/ancient
DRM_KMODULES += drm-ancient
# use/x11/xorg
THE_LISTS += tagged/desktop+xorg
# use/control
FEATURES += control
THE_PACKAGES += control
@ -346,12 +347,6 @@ THE_LISTS += tagged/base+l10n
LOCALES += en_US
XKB_KEYMAPS += us
LOCALE ?= en_US
# use/l10n/ru_RU
LOCALES += ru_RU
LOCALE = ru_RU
XKB_KEYMAPS += ru
KEYTABLE = ruwin_ct_sh-UTF-8
export GLOBAL_LOCALE = $(LOCALE)
export GLOBAL_LOCALES = $(LOCALES)
export GLOBAL_XKB_KEYMAPS = $(XKB_KEYMAPS)
@ -366,8 +361,10 @@ THE_PACKAGES += $(THE_IMAGEWRITER)
THE_IMAGEWRITER = altmediawriter
THE_PACKAGES += upower udev-rules-rfkill-uaccess
DEFAULT_SERVICES_DISABLE += gssd idmapd krb5kdc rpcbind
DEFAULT_SERVICES_ENABLE += cups sshd
DEFAULT_SERVICES_ENABLE += sshd
DEFAULT_SERVICES_ENABLE += cups
DEFAULT_SERVICES_ENABLE += alteratord
CONTROL += fusermount:public
# use/vmguest/kvm
THE_PACKAGES += qemu-guest-agent
# use/vmguest/vmware
@ -378,11 +375,11 @@ THE_PACKAGES += open-vm-tools
THE_KMODULES += drm
THE_PACKAGES += virtualbox-guest-additions
# use/vmguest/vmware/x11
THE_PACKAGES += xorg-drv-vmware xorg-drv-vmmouse
THE_PACKAGES += xorg-dri-vmwgfx xorg-drv-vmware xorg-drv-vmmouse
THE_PACKAGES += open-vm-tools-desktop
# use/vmguest/kvm/x11
THE_PACKAGES += spice-vdagent xorg-drv-qxl xorg-drv-spiceqxl
#THE_PACKAGES += xorg-dri-virtio
THE_PACKAGES += xorg-dri-virtio
# use/syslinux/live_rw.cfg
SYSLINUX_CFG += live_rw
# use/grub/live_rw.cfg
@ -410,6 +407,7 @@ BASE_BOOTLOADER = grub
LIVE_PACKAGES += livecd-install
LIVE_PACKAGES += livecd-kometa-hack
LIVE_PACKAGES += livecd-installer-features
PINNED_PACKAGES += livecd-installer-features
# distro/.regular-wm
LIVE_PACKAGES += livecd-install-apt-cache
# use/branding/full
@ -420,7 +418,6 @@ THE_BRANDING += bootsplash
# use/firmware/cpu
THE_PACKAGES += firmware-intel-ucode iucode_tool
# use/firmware/laptop
THE_KMODULES += acpi_call
THE_PACKAGES += firmware-alsa-sof
# use/init
FEATURES += init
@ -441,8 +438,6 @@ DEFAULT_SERVICES_ENABLE += bluetoothd
# use/net/nm
THE_NET_SUBSYS = NetworkManager
THE_LISTS += tagged/base+nm
THE_LISTS += tagged/base+kde5
THE_LISTS += tagged/base+kometa
LIVE_PACKAGES += livecd-save-nfs
DEFAULT_SERVICES_ENABLE += network
DEFAULT_SERVICES_ENABLE += NetworkManager ModemManager
@ -451,7 +446,7 @@ export GLOBAL_NM_native = $(NM_native)
# use/x11/kde/synaptic
THE_PACKAGES += synaptic-kde synaptic-usermode-
# use/x11/kde5
#THE_PACKAGES += kde5-big
# THE_PACKAGES += kde5-big
# use/browser/falkon
THE_BROWSER = chromium
# use/x11/dm
@ -459,9 +454,8 @@ THE_BROWSER = chromium
THE_PACKAGES += $(THE_DISPLAY_MANAGER)
PINNED_PACKAGES += $(THE_DISPLAY_MANAGER)
DEFAULT_SERVICES_ENABLE += $(THE_DM_SERVICE)
# use/x11/sddm
THE_DISPLAY_MANAGER = sddm
# use/x11/kde5-display-manager-lightdm
THE_DISPLAY_MANAGER = sddm
#THE_DISPLAY_MANAGER = kde5-display-manager-lightdm
#THE_DM_SERVICE = lightdm
#PINNED_PACKAGES += kde5-display-manager-sddm:Extra
@ -513,7 +507,7 @@ BASE_BOOTARGS += splash
# use/build-distro
FEATURES += build-distro
# config/name/alt-p10-kde5
IMAGE_NAME = kometa-school-p10
IMAGE_NAME = alt-p10-kde5
# use/pack
FEATURES += pack
# use/pack/iso

@ -1 +1 @@
e8f8a56263ae690a4325e4fbdef5cabb111406e0
e1b6e10bac7b540f29a965935d4ada6b82740763

@ -1 +1 @@
20211227
20220209

@ -1 +1 @@
KOMETA kometa-school-p10/x86_64 build 2021-12-27
KOMETA p10 kde5/x86_64 build 2022-02-09

Binary file not shown.

Binary file not shown.

@ -3,4 +3,4 @@
chmod 755 /
rm -f /.gitignore
rm -f /.empty

@ -2,5 +2,3 @@
# fixup chroot's toplevel directory permissions (use to become 1775)
chmod 755 /
rm -f /.gitignore

@ -4,7 +4,7 @@
defcfg=/etc/net/ifaces/default/options-eth
[ -f defcfg ] || exit 0
[ -f "$defcfg" ] || exit 0
if [ -x /usr/sbin/NetworkManager -o -x /usr/sbin/connmand ]; then
shell_config_set "$defcfg" NM_CONTROLLED yes

@ -0,0 +1,18 @@
#!/bin/sh
# setup serial console access
BIN=/sbin/agetty
CFG=/etc/inittab
SEC=/etc/securetty
[ -n "$GLOBAL_TTY_DEV" -a -n "$GLOBAL_TTY_RATE" ] || exit 0
[ -s "$CFG" -a -x "$BIN" ] || exit 0
if ! grep -q "$BIN" "$CFG"; then
n=0
for t in $GLOBAL_TTY_DEV; do
grep -q "$t" "$SEC" || echo "$t" >>"$SEC"
echo "T$n:2345:respawn:$BIN -L $t $GLOBAL_TTY_RATE vt100" >>$CFG
n=$(($n+1))
done
fi

@ -3,8 +3,38 @@
[ -n "$GLOBAL_LIVE_REPO" ] || exit 0
# no public repos for e2k for now, unfortunately
[ `arch` != "e2k" ] || exit 0
PROTO="${GLOBAL_LIVE_REPO%/*}" # http, ftp, rsync
case "$PROTO" in
http|ftp|rsync)
;;
*)
echo "Error: protocol $PROTO not supported" >&2
exit 1
;;
esac
MIRROR="${GLOBAL_LIVE_REPO#*/}" # alt, heanet, kiev, yandex, ...
sed -i "s,^#\(rpm \[.*\] ${PROTO:-http}.*\),\1," \
"/etc/apt/sources.list.d/${MIRROR:-yandex}.list" ||:
if [ -z "$MIRROR" ]; then
echo "Error: variable MIRROR is not set!!!" >&2
echo "Set REPO variable in the format: PROTO/MIRROR" >&2
echo "Example: http/yandex" >&2
exit 1
fi
repo_source="/etc/apt/sources.list.d/$MIRROR.list"
if [ ! -s "$repo_source" ]; then
echo "Error: $repo_source is not exist" >&2
exit 1
fi
# regexps from alterator-pkg (via installer-feature-online-repo)
prefix_re="[[:space:]]*rpm[[:space:]]\+\([^[:space:]]\+[[:space:]]\+\)\?"
host_re="${PROTO:-http}:\/\/\([^[:space:]]\+\)[[:space:]]\+"
updates_re="${prefix_re}${host_re}\([^[:space:]]\+\/\)\?"
sed -i "s/^#\($updates_re\)/\1/" "$repo_source"

@ -0,0 +1,3 @@
#!/bin/sh
rm -f /.image/.empty

@ -9,11 +9,9 @@ firmware-linux
shim-signed
mokutil
pesign
acpid
acpi
acpid-events-power
## THE_PACKAGES
installer-feature-serial-stage3
alterator-luks
chromium
chrony
@ -54,12 +52,14 @@ udev-rules-rfkill-uaccess
qemu-guest-agent
open-vm-tools
virtualbox-guest-additions
xorg-dri-vmwgfx
xorg-drv-vmware
xorg-drv-vmmouse
open-vm-tools-desktop
spice-vdagent
xorg-drv-qxl
xorg-drv-spiceqxl
xorg-dri-virtio
firmware-intel-ucode
iucode_tool
firmware-alsa-sof
@ -70,7 +70,7 @@ systemd-settings-enable-showstatus
bluez
synaptic-kde
synaptic-usermode-
kde5-display-manager-lightdm
sddm
dhcpcd
make-initrd-plymouth
@ -91,9 +91,43 @@ efibootmgr
## THE_LISTS
# tagged/security+luks tagged/desktop+regular tagged/base+regular tagged/base+xorg tools/wireless sound/base sound/pulseaudio tagged/base+regular+extra tagged/desktop+regular tagged/base+regular tagged/desktop+xorg tagged/base+l10n systemd tagged/base+nm tagged/base+kde5 tagged/base+kometa domain-client
# tagged/security+luks tagged/base+regular tagged/desktop+regular tagged/base+xorg tools/wireless sound/base sound/pulseaudio tagged/base+regular tagged/desktop+regular tagged/base+regular+extra tagged/base+kde5 tagged/base+kometa tagged/desktop+xorg tagged/base+l10n systemd tagged/base+nm domain-client
make-initrd-luks
cryptsetup
glibc-locales
xfsprogs
jfsprogs
ntfs-3g
dosfstools
fatresize
make-initrd-ucode
shadow-change
openssh
openssh-blacklist
net-tools
nfs-utils
smartmontools
system-report
ps_mem
strace
powertop
pciutils
usbutils
acpi
dmidecode
apt-repo
apt-rsync
apt-scripts
#aptitude # See ALT bug 41622
update-kernel
eepm
bash-completion
cpufreq-simple
eject
bc
ncdu
tree
zsh
synaptic
synaptic-usermode
userpasswd
@ -150,6 +184,29 @@ htop
# firmware update utils
#fwupd
blacklist-pcspkr
xorg-server
xorg-drv-evdev
xorg-drv-synaptics
xorg-drv-libinput
xorg-drv-vesa
xorg-drv-fbdev
xauth
xorg-utils
x-cursor-theme-jimmac
menu-icons-default
wireless-tools
ath_info
rfkill
crda
iw
amixer
alsa-utils
aplay
test-audio
alsa-set-initial-options
pulseaudio-daemon
pulseaudio-utils
alsa-plugins-pulse
glibc-locales
xfsprogs
jfsprogs
@ -171,11 +228,10 @@ pciutils
usbutils
acpi
dmidecode
apt-repo
apt-rsync
apt-scripts
aptitude
#aptitude # See ALT bug 41622
update-kernel
eepm
bash-completion
@ -185,33 +241,6 @@ bc
ncdu
tree
zsh
xorg-server
xorg-drv-evdev
xorg-drv-synaptics
xorg-drv-libinput
xorg-drv-vesa
xorg-drv-fbdev
xauth
xorg-utils
x-cursor-theme-jimmac
menu-icons-default
wireless-tools
ath_info
rfkill
crda
iw
amixer
alsa-utils
aplay
test-audio
alsa-set-initial-options
pulseaudio-daemon
pulseaudio-utils
alsa-plugins-pulse
lvm2
make-initrd-lvm
mdadm
make-initrd-mdadm
synaptic
synaptic-usermode
userpasswd
@ -268,66 +297,10 @@ htop
# firmware update utils
#fwupd
blacklist-pcspkr
glibc-locales
xfsprogs
jfsprogs
ntfs-3g
dosfstools
fatresize
make-initrd-ucode
shadow-change
openssh
openssh-blacklist
net-tools
nfs-utils
smartmontools
system-report
ps_mem
strace
powertop
pciutils
usbutils
acpi
dmidecode
apt-repo
apt-rsync
apt-scripts
aptitude
update-kernel
eepm
bash-completion
cpufreq-simple
eject
bc
ncdu
tree
zsh
xorg-drv-ati
xorg-drv-cirrus
#xorg-drv-mga
xorg-drv-modesetting
#xorg-drv-nv
xorg-drv-qxl
#xorg-drv-s3
#xorg-drv-s3virge
#xorg-drv-savage
#xorg-drv-sis
glibc-locales
glibc-gconv-modules
systemd
systemd-units
systemd-services
systemd-sysvinit
systemd-analyze
chkconfig
NetworkManager
NetworkManager-vpnc
NetworkManager-openvpn
NetworkManager-pptp
NetworkManager-l2tp
NetworkManager-openconnect
usb-modeswitch
lvm2
make-initrd-lvm
mdadm
make-initrd-mdadm
systemd-sysvinit
###systemd-presets-kdesktop
@ -420,6 +393,7 @@ kernel-modules-virtualbox-std-def
icon-theme-oxygen
vconsole-setup-kludge
pam-limits-desktop
installer-feature-desktop-other-fs-stage2
installer-feature-kometa-kde5
installer-feature-kometa-school-kde5
kometa-os-release
@ -429,6 +403,25 @@ kometa-xdg-plasma5-classic
kometa-xdg-pam-env
kometa-icons-core-classic
kometa-icons-theme-classic
polkit-rule-gparted-as-root
eepm-add-r7-office
####R7
#fonts-ttf-dejavu
#fonts-ttf-google-crosextra-carlito
#fonts-ttf-liberation
#glibc gst-libav
#gst-plugins-ugly1.0
#libX11
#libXScrnSaver
#libcairo
#libgcc1
#libgtk+2
#libgtkglext
#r7-office
####МойОфис
myoffice-standard-documents
####Fonts
fonts-ttf-ms
@ -516,8 +509,28 @@ hplip-ps-PPDs
hplip-recommends
#Для ноутбуков HP у которых не работает микрофон
#firmware-alsa-sof
firmware-alsa-sof
appinstall
xorg-drv-cirrus
xorg-drv-mga
xorg-drv-qxl
xorg-drv-spiceqxl
glibc-locales
glibc-gconv-modules
systemd
systemd-units
systemd-services
systemd-sysvinit
systemd-analyze
chkconfig
NetworkManager
NetworkManager-vpnc
NetworkManager-openvpn
NetworkManager-pptp
NetworkManager-l2tp
NetworkManager-openconnect
usb-modeswitch
pam-config
pam_mount
pam_ccreds
@ -540,13 +553,10 @@ alterator-net-shares
# grub
grub-pc
grub-efi
# should be R: in grub-ieee1275
## DOT_BASE
^kernel-(image|modules-(acpi_call|bcmwl|drm|drm-ancient|drm-nouveau|drm-radeon|e1000e|r8125|rtl8188fu|rtl8192eu|rtl8723bu|rtl8723de|rtl8812au|rtl8821ce|rtl8821cu|rtl88x2bu|rtw89|scsi|staging|vmware))-(std-def)$
^kernel-(image|modules-(bcmwl|drm|drm-ancient|drm-nouveau|drm-radeon|e1000e|r8125|rtl8188fu|rtl8192eu|rtl8723bu|rtl8723de|rtl8812au|rtl8821ce|rtl8821cu|rtl88x2bu|rtw89|scsi|staging|vmware))-(std-def)$
^branding-kometa-school-(notes|bootloader|alterator|graphics|indexhtml|notes|alterator|graphics|indexhtml|slideshow|bootloader|bootsplash|bootsplash)$
make-initrd-plymouth
cpio

@ -1,6 +1,3 @@
grub-pc
grub-efi
# should be R: in grub-ieee1275

@ -1,6 +1,6 @@
installer-feature-desktop-other-fs-stage2
installer-feature-kometa-kde5
installer-feature-kometa-school-kde5
installer-feature-desktop-other-fs-stage2
kometa-os-release
kometa-std-desktop
kometa-xdg-core
@ -12,20 +12,20 @@ polkit-rule-gparted-as-root
eepm-add-r7-office
####R7
fonts-ttf-dejavu
fonts-ttf-google-crosextra-carlito
fonts-ttf-liberation
glibc gst-libav
gst-plugins-ugly1.0
libX11
libXScrnSaver
libcairo
libgcc1
libgtk+2
libgtkglext
r7-office
#fonts-ttf-dejavu
#fonts-ttf-google-crosextra-carlito
#fonts-ttf-liberation
#glibc gst-libav
#gst-plugins-ugly1.0
#libX11
#libXScrnSaver
#libcairo
#libgcc1
#libgtk+2
#libgtkglext
#r7-office
####Myoffice
####МойОфис
myoffice-standard-documents
####Fonts
@ -115,4 +115,5 @@ hplip-recommends
#Для ноутбуков HP у которых не работает микрофон
firmware-alsa-sof
appinstall

@ -19,11 +19,10 @@ pciutils
usbutils
acpi
dmidecode
apt-repo
apt-rsync
apt-scripts
aptitude
#aptitude # See ALT bug 41622
update-kernel
eepm
bash-completion

@ -1,10 +1,4 @@
xorg-drv-ati
xorg-drv-cirrus
#xorg-drv-mga
xorg-drv-modesetting
#xorg-drv-nv
xorg-drv-mga
xorg-drv-qxl
#xorg-drv-s3
#xorg-drv-s3virge
#xorg-drv-savage
#xorg-drv-sis
xorg-drv-spiceqxl

@ -4,7 +4,7 @@
defcfg=/etc/net/ifaces/default/options-eth
[ -f defcfg ] || exit 0
[ -f "$defcfg" ] || exit 0
if [ -x /usr/sbin/NetworkManager -o -x /usr/sbin/connmand ]; then
shell_config_set "$defcfg" NM_CONTROLLED yes

@ -0,0 +1,18 @@
#!/bin/sh
# setup serial console access
BIN=/sbin/agetty
CFG=/etc/inittab
SEC=/etc/securetty
[ -n "$GLOBAL_TTY_DEV" -a -n "$GLOBAL_TTY_RATE" ] || exit 0
[ -s "$CFG" -a -x "$BIN" ] || exit 0
if ! grep -q "$BIN" "$CFG"; then
n=0
for t in $GLOBAL_TTY_DEV; do
grep -q "$t" "$SEC" || echo "$t" >>"$SEC"
echo "T$n:2345:respawn:$BIN -L $t $GLOBAL_TTY_RATE vt100" >>$CFG
n=$(($n+1))
done
fi

@ -1,4 +1,4 @@
#!/bin/sh
# TODO: invent some way to remove this inter-subprofile thing
rm -vf $WORKDIR/{squashcfg.mk,initfs,.gitignore}
rm -vf $WORKDIR/{squashcfg.mk,initfs,.gitignore,.empty}

@ -1,3 +1,11 @@
export GRUB_TERMINAL
export GRUB_SERIAL_COMMAND
if [ -n "$GRUB_TERMINAL" ]; then
$GRUB_SERIAL_COMMAND
terminal_output "$GRUB_TERMINAL"
terminal_input "$GRUB_TERMINAL"
fi
insmod echo
insmod gzio
insmod minicmd

@ -12,26 +12,28 @@ function load_video {
fi
}
font=${prefix}/fonts/unicode.pf2
if loadfont "$font" ; then
set gfxmode=auto
load_video
insmod gfxterm
terminal_output gfxterm
if [ -d ${prefix}/locale ]; then
set locale_dir=${prefix}/locale
insmod gettext
if [ -z "$GRUB_TERMINAL" ]; then
font=${prefix}/fonts/unicode.pf2
if loadfont "$font"; then
set gfxmode=auto
load_video
insmod gfxterm
terminal_output gfxterm
if [ -d ${prefix}/locale ]; then
set locale_dir=${prefix}/locale
insmod gettext
fi
insmod gfxmenu
insmod jpeg
insmod png
if [ -f ${prefix}/themes/school/theme.txt ]; then
set theme=${prefix}/themes/school/theme.txt;
export theme
fi
set timeout_style=menu
set menu_color_normal=white/black
set menu_color_highlight=black/white
set color_normal=white/black
set color_highlight=black/white
fi
insmod gfxmenu
insmod jpeg
insmod png
if [ -f ${prefix}/themes/school/theme.txt ]; then
set theme=${prefix}/themes/school/theme.txt;
export theme
fi
set timeout_style=menu
set menu_color_normal=white/black
set menu_color_highlight=black/white
set color_normal=white/black
set color_highlight=black/white
fi

@ -1,7 +1,7 @@
menuentry $"LiveCD (no hard disk needed)" --id 'live' {
savedefault
echo $"Loading Linux vmlinuz$KFLAVOUR ..."
linux$linux_suffix /boot/vmlinuz$KFLAVOUR fastboot live changedisk automatic=method:cdrom,fuid:2021-12-09-16-40-50-00 stagename=live ramdisk_size=@live_size@ showopts lowmem vga=normal usbcore.autosuspend=-1 quiet splash $EFI_BOOTARGS lang=$lang
linux$linux_suffix /boot/vmlinuz$KFLAVOUR fastboot live changedisk automatic=method:cdrom,fuid:2022-02-08-19-50-45-00 stagename=live ramdisk_size=@live_size@ showopts lowmem vga=normal usbcore.autosuspend=-1 quiet splash $EFI_BOOTARGS lang=$lang
echo $"Loading initial ramdisk ..."
initrd$linux_suffix /boot/full$KFLAVOUR.cz
}

@ -1,7 +1,7 @@
menuentry $"LiveCD with sessions support" --id 'session' {
savedefault
echo $"Loading Linux vmlinuz$KFLAVOUR ..."
linux$linux_suffix /boot/vmlinuz$KFLAVOUR fastboot live changedisk automatic=method:cdrom,fuid:2021-12-09-16-40-50-00 stagename=live ramdisk_size=@live_size@ showopts live_rw vga=normal usbcore.autosuspend=-1 quiet splash $EFI_BOOTARGS lang=$lang
linux$linux_suffix /boot/vmlinuz$KFLAVOUR fastboot live changedisk automatic=method:cdrom,fuid:2022-02-08-19-50-45-00 stagename=live ramdisk_size=@live_size@ showopts live_rw vga=normal usbcore.autosuspend=-1 quiet splash $EFI_BOOTARGS lang=$lang
echo $"Loading initial ramdisk ..."
initrd$linux_suffix /boot/full$KFLAVOUR.cz
}

@ -1,10 +1,10 @@
<html>
<head>
<meta http-equiv="refresh" content="3;url=http://altlinux.org/">
<title>Welcome to ALT!</title>
<meta http-equiv="refresh" content="3;url=http://oskometa.ru/">
<title>Welcome to KOMETA!</title>
</head>
<body>
<h1>Welcome to ALT!</h1>
<p>You will be redirected to <a href="http://altlinux.org/">the home page</a> shortly.</p>
<h1>Welcome to KOMETA!</h1>
<p>You will be redirected to <a href="http://oskometa.ru/">the home page</a> shortly.</p>
</body>
</html>

@ -1,4 +1,4 @@
label live
kernel /boot/vmlinuz
append initrd=/boot/full.cz fastboot live changedisk automatic=method:cdrom,fuid:2021-12-09-16-40-50-00 stagename=live ramdisk_size=@live_size@ showopts lowmem vga=normal usbcore.autosuspend=-1 quiet splash
append initrd=/boot/full.cz fastboot live changedisk automatic=method:cdrom,fuid:2022-02-08-19-50-45-00 stagename=live ramdisk_size=@live_size@ showopts lowmem vga=normal usbcore.autosuspend=-1 quiet splash

@ -1,4 +1,4 @@
label session
kernel /boot/vmlinuz
append initrd=/boot/full.cz fastboot live changedisk automatic=method:cdrom,fuid:2021-12-09-16-40-50-00 stagename=live ramdisk_size=@live_size@ showopts live_rw vga=normal usbcore.autosuspend=-1 quiet splash
append initrd=/boot/full.cz fastboot live changedisk automatic=method:cdrom,fuid:2022-02-08-19-50-45-00 stagename=live ramdisk_size=@live_size@ showopts live_rw vga=normal usbcore.autosuspend=-1 quiet splash

@ -14,3 +14,7 @@ xhci-hcd.ko
xhci-pci.ko
xhci-pci-renesas.ko
xhci-plat-hcd.ko
dwc3-pci.ko
dwc3-baikal.ko
udc-core.ko
xhci-hcdi.ko

@ -1,6 +1,12 @@
# vmguest
kernel/drivers/virtio
vmxnet3.ko
hv_netvsc.ko
virtio_net.ko
#
# hyper-v
hv_balloon.ko
hv_netvsc.ko
hv_sock.ko
hv_storvsc.ko
hv_vmbus.ko
uio_hv_generic.ko

@ -0,0 +1,3 @@
#!/bin/sh
rm -f /.image/.empty

@ -62,7 +62,9 @@ fi
# copy grub theme
mkdir -p themes
GRUBTHEME="$(grep -m1 '/theme.txt;' "$CFG" |rev | cut -f2 -d '/' |rev)"
GRUBTHEME="$(grep -m1 '/theme.txt;' "$CFG" |tail -n 1)"
GRUBTHEME="${GRUBTHEME%/*}"
GRUBTHEME="${GRUBTHEME##*/}"
if [ -n "$GRUBTHEME" ]; then
if [ -d "/boot/grub/themes/$GRUBTHEME" ]; then
cp -r /boot/grub/themes/$GRUBTHEME themes/

@ -2,6 +2,12 @@
# gather syslinux configuration from snippets;
# copy modules; see also this feature's generate.mk
# snippets are not going into the actual image
final_exit () {
if [ "$DEBUG" != 2 ]; then rm -r .in/; fi
exit 0
}
MODDIR="/usr/lib/syslinux"
case "$GLOBAL_BOOTLOADER" in
@ -38,7 +44,7 @@ fi
# validate just in case (see also stage1 Makefile)
case "$GLOBAL_BOOTLOADER" in
isolinux|syslinux) ;;
*) exit 0;;
*) final_exit;;
esac
# copy extra files, if any
@ -56,8 +62,7 @@ if [ -n "$SYSLINUX_MODULES" ]; then
done
fi
# snippets are not going into the actual image
if [ "$DEBUG" != 2 ]; then rm -r .in/; fi
final_exit
# NB: there will be final macro expansion based on actual image sizes
# done by features.in/syslinux/scripts.d/20-propagator-ramdisk

@ -60,7 +60,7 @@ distro/alt-server:: use/memtest; @:
endif
ifeq (,$(filter-out x86_64 aarch64,$(ARCH)))
distro/alt-server:: use/efi/refind +efi; @:
distro/alt-server:: +efi; @:
endif
ifeq (,$(filter-out ppc64le aarch64 e2k%,$(ARCH)))

@ -63,7 +63,7 @@ else
@$(call add,THE_LISTS,workstation/libreoffice)
endif
vm/alt-workstation:: vm/.alt-workstation
vm/alt-workstation:: vm/.alt-workstation +vmguest
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
@$(call add,THE_LISTS,workstation/vlc)
endif
@ -81,6 +81,7 @@ endif
ifeq (,$(filter-out aarch64 armh,$(ARCH)))
vm/alt-workstation-rpi: vm/.alt-workstation use/arm-rpi4/full
@$(call add,THE_LISTS,workstation/celluloid)
@$(call set,THE_BROWSER,chromium)
endif
ifeq (,$(filter-out aarch64,$(ARCH)))

@ -8,7 +8,7 @@ distro/.desktop-mini: distro/.desktop-base use/x11/xdm; @:
distro/.desktop-network: distro/.desktop-mini mixin/desktop-installer; @:
distro/icewm: distro/.desktop-network use/lowmem use/install2/fs +icewm; @:
distro/ltsp-icewm: distro/icewm +ltsp; @:
#distro/icewm: distro/.desktop-network use/lowmem use/install2/fs +icewm; @:
#distro/ltsp-icewm: distro/icewm +ltsp; @:
endif

@ -17,13 +17,20 @@ mixin/education: \
@$(call add,THE_BRANDING,menu xfce-settings system-settings)
@$(call add,THE_LISTS,slinux/xfce-base)
@$(call add,THE_LISTS,education/misc)
ifeq (,$(filter-out e2k%,$(ARCH)))
@$(call add,THE_PACKAGES,jre)
else
@$(call add,THE_PACKAGES,java-11-openjdk)
endif
@$(call add,THE_PACKAGES,mousepad)
@$(call add,THE_PACKAGES,thunderbird)
@$(call add,THE_PACKAGES,installer-feature-lightdm-stage3)
@$(call add,THE_PACKAGES,installer-feature-quota-stage2)
@$(call add,THE_LISTS,$(call tags,base l10n))
@$(call add,BASE_LISTS,workstation/3rdparty)
@$(call add,THE_PACKAGES,settings-alsa-sof-force)
@$(call add,THE_LISTS,$(call tags,base regular))
@$(call add,THE_LISTS,$(call tags,base extra))
@$(call add,SERVICES_DISABLE,host2cat)
ifeq (distro,$(IMAGE_CLASS))
@ -38,7 +45,12 @@ ifeq (,$(filter-out i586 x86_64 aarch64,$(ARCH)))
endif
@$(call add,LIVE_PACKAGES,mc-full)
@$(call add,LIVE_PACKAGES,remmina remmina-plugins)
@$(call add,LIVE_PACKAGES,mousepad)
ifeq (,$(filter-out e2k%,$(ARCH)))
@$(call add,LIVE_PACKAGES,jre)
else
@$(call add,LIVE_PACKAGES,java-11-openjdk)
endif
@$(call add,LIVE_PACKAGES,xorg-conf-libinput-touchpad)
@$(call add,LIVE_LISTS,$(call tags,base rescue))
@$(call add,LIVE_LISTS,$(call tags,base extra))
@ -59,7 +71,7 @@ mixin/education-installer: \
use/stage2/rtc use/stage2/sbc use/stage2/scsi use/stage2/usb \
use/install2/fat
@$(call set,INSTALLER,education)
@$(call set,META_VOL_ID,ALT Education 10.0beta $(ARCH))
@$(call set,META_VOL_ID,ALT Education 10.0 $(ARCH))
@$(call set,META_PUBLISHER,BaseALT Ltd)
@$(call set,META_APP_ID,$(DISTRO_VERSION) $(ARCH))
@$(call set,META_VOL_SET,ALT)
@ -82,6 +94,7 @@ mixin/education-installer: \
@$(call add,MAIN_PACKAGES,libreoffice-block-macros)
@$(call add,MAIN_PACKAGES,lmms)
@$(call add,MAIN_PACKAGES,xorg-conf-libinput-touchpad)
@$(call add,MAIN_PACKAGES,settings-alsa-sof-force)
@$(call add,STAGE2_PACKAGES,xorg-conf-libinput-touchpad)
@$(call add,STAGE2_PACKAGES,chrony)
@$(call add,STAGE1_MODLISTS,stage2-mmc)
@ -109,11 +122,11 @@ else
@$(call add,MAIN_GROUPS,education/09_video-conferencing)
endif # e2k%
ifeq (,$(filter-out i586 x86_64 aarch64,$(ARCH)))
@$(call set,KFLAVOURS,un-def)
@$(call add,MAIN_PACKAGES,kernel-headers-un-def)
@$(call add,MAIN_PACKAGES,kernel-headers-modules-un-def)
@$(call add,MAIN_PACKAGES,kernel-headers-un-def)
@$(call add,MAIN_PACKAGES,kernel-headers-modules-un-def)
@$(call set,KFLAVOURS,std-def)
@$(call add,MAIN_PACKAGES,kernel-headers-std-def)
@$(call add,MAIN_PACKAGES,kernel-headers-modules-std-def)
@$(call add,MAIN_PACKAGES,kernel-headers-std-def)
@$(call add,MAIN_PACKAGES,kernel-headers-modules-std-def)
@$(call add,THE_KMODULES,virtualbox)
@$(call add,THE_KMODULES,lsadrv bbswitch)
@$(call add,THE_KMODULES,staging)
@ -127,6 +140,7 @@ ifeq (,$(filter-out i586 x86_64,$(ARCH)))
@$(call add,MAIN_PACKAGES,owamp-server)
endif
@$(call add,CONTROL,sudo:public)
@$(call add,CONTROL,fusermount:wheelonly)
endif # distro
@ -135,33 +149,20 @@ ifeq (vm,$(IMAGE_CLASS))
vm/.alt-education: vm/systemd use/repo use/oem/distro mixin/education
@$(call add,DEFAULT_SERVICES_DISABLE,multipathd)
vm/alt-education:: vm/.alt-education
vm/alt-education:: vm/.alt-education +vmguest; @:
ifeq (,$(filter-out aarch64 armh riscv64,$(ARCH)))
ifeq (,$(filter-out aarch64 riscv64,$(ARCH)))
vm/alt-education:: use/uboot
@$(call add,BASE_LISTS,uboot)
endif
ifeq (,$(filter-out aarch64 armh,$(ARCH)))
ifeq (,$(filter-out aarch64,$(ARCH)))
vm/alt-education:: use/no-sleep use/arm-rpi4; @:
endif
ifeq (,$(filter-out aarch64 armh,$(ARCH)))
ifeq (,$(filter-out aarch64,$(ARCH)))
vm/alt-education-rpi: vm/.alt-education use/arm-rpi4/full
@$(call add,THE_PACKAGES,task-edu-lite)
endif
ifeq (,$(filter-out aarch64,$(ARCH)))
vm/alt-education-tegra: vm/.alt-education use/aarch64-tegra; @:
endif
ifeq (,$(filter-out armh,$(ARCH)))
vm/alt-education-mcom02: vm/.alt-education use/armh-mcom02/x11; @:
endif
ifeq (,$(filter-out mipsel,$(ARCH)))
vm/alt-education-tavolga: vm/.alt-education use/mipsel-mitx/x11; @:
vm/alt-education-bfk3: vm/.alt-education use/mipsel-bfk3/x11; @:
endif
endif

@ -58,7 +58,7 @@ distro/.live-kiosk: distro/.base use/live/base use/live/autologin \
distro/live-builder-mini: distro/.live-base use/dev/builder/base \
use/syslinux/timeout/30 use/isohybrid \
use/stage2/net-eth use/net-eth/dhcp; @:
use/stage2/net-eth use/net-eth/dhcp +sysvinit; @:
distro/live-builder: distro/live-builder-mini \
use/dev/builder/full use/live/rw +efi; @:
@ -66,8 +66,10 @@ distro/live-builder: distro/live-builder-mini \
distro/live-install: distro/.live-base use/live/textinstall; @:
distro/.livecd-install: distro/.live-base use/live/install; @:
distro/live-icewm: distro/.live-desktop use/x11/lightdm/gtk +icewm; @:
distro/live-fvwm: distro/.live-desktop-ru use/x11/lightdm/gtk use/x11/fvwm; @:
distro/live-icewm: distro/.live-desktop use/x11/gdm2.20 use/ntp +icewm \
+sysvinit; @:
distro/live-fvwm: distro/.live-desktop-ru use/x11/gdm2.20 use/ntp use/x11/fvwm \
+sysvinit; @:
distro/live-rescue: distro/live-icewm +efi
@$(call add,LIVE_LISTS,$(call tags,rescue && (fs || live || x11)))
@ -129,11 +131,10 @@ distro/live-0ad: distro/.live-games
distro/live-gimp: distro/live-icewm use/live/ru
@$(call add,LIVE_LISTS,$(call tags,desktop sane))
@$(call add,LIVE_PACKAGES,gimp tintii immix fim)
@$(call add,LIVE_PACKAGES,gimp immix)
@$(call add,LIVE_PACKAGES,darktable geeqie rawstudio ufraw)
@$(call add,LIVE_PACKAGES,macrofusion python-module-pygtk-libglade)
@$(call add,LIVE_PACKAGES,macrofusion)
@$(call add,LIVE_PACKAGES,qtfm openssh-clients rsync usbutils)
@$(call add,LIVE_PACKAGES,design-graphics-sisyphus2)
# NB: use/browser won't do as it provides a *single* browser ATM
distro/live-privacy: distro/.base +efi +systemd +vmguest \

@ -17,7 +17,8 @@ mixin/alt-server: +installer +systemd \
@$(call add,THE_BRANDING,alterator)
ifeq (,$(filter-out i586 x86_64 aarch64,$(ARCH)))
@$(call add,THE_BRANDING,bootloader bootsplash)
@$(call set,KFLAVOURS,un-def)
@$(call set,KFLAVOURS,std-def)
@$(call add,MAIN_GROUPS,centaurus/pve-backup-server)
endif
@$(call add,BASE_LISTS,centaurus/base)
@$(call add,BASE_LISTS,centaurus/base-server)
@ -50,7 +51,7 @@ endif
@$(call add,INSTALL2_PACKAGES,xorg-conf-synaptics)
@$(call add,COMMON_PACKAGES,vim-console)
@$(call add,DEFAULT_SERVICES_ENABLE,rpcbind sshd bind)
@$(call set,META_VOL_ID,ALT Server 9.1 $(ARCH))
@$(call set,META_VOL_ID,ALT Server 10.0 $(ARCH))
@$(call set,META_PUBLISHER,BaseALT Ltd)
@$(call set,META_VOL_SET,ALT)
@$(call set,META_APP_ID,ALT Server 9.1.0 $(ARCH) $(shell date +%F))
@$(call set,META_APP_ID,ALT Server 10.0 $(ARCH) $(shell date +%F))

@ -31,7 +31,7 @@ mixin/alt-workstation: +systemd +systemd-optimal +pulse +nm +power \
@$(call add,LIVE_LISTS,workstation/live.pkgs)
@$(call add,LIVE_LISTS,$(call tags,desktop sane))
ifneq (,$(filter-out armh,$(ARCH)))
@$(call add,LIVE_LISTS,$(call tags,desktop office))
@$(call add,LIVE_LISTS,workstation/libreoffice)
endif
@$(call add,THE_LISTS,workstation/mate)
@$(call add,THE_LISTS,workstation/the.pkgs)
@ -48,6 +48,8 @@ endif
@$(call add,SERVICE